Subject: Re: LW Frame limits?
From: Adam Chrystie <[email-masked]>
To: Multiple recipients of list <[email-masked]>
Date: Mon, 18 Dec 1995 23:48:04 -0500

Ernie Wright wrote:

> That's pretty funny, and I think I know what's happening.  24,464 is
> what you get when you only look at the lower two bytes of 90,000.  Or:
> 
>    90000 = 01 5F 90h
>    24464 = 00 5F 90h
> 
> The loss of the bits above the 15th could have been an effect of using
> certain Windows functions to handle the frame number fields on the
> Scene panel, but a quick check on the Amiga also shows this behavior,
> which implies that LW itself is using a 16-bit integer to store frame
> numbers.

  GREAT!! haha...I'm just learning about this in our Intro to C book..

> 
> The actual limit, in effect, is 32,767.  And if David had needed, say,
> 100,000 frames instead of 90,000, the Last Frame value displayed on the
> Scene panel would have been *negative*.
> 
> - Ernie